package intrinsic.mx.messaging.channels;

public class AMFChannel extends intrinsic.mx.messaging.channels.NetConnectionChannel {

	/** Accessors */
	public double pollingInterval;
	public boolean polling;
	public boolean pollingEnabled;
	public String protocol;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AMFChannel() {
}

public AMFChannel(Object arg0) {
}

public AMFChannel(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void applySettings(intrinsic.XML arg0);

}
